#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_TelephoneBillDropCFGData
{
	//编号
	int mId;
	//充值金额
	int mRechargeLimit;
	//历史话费和掉落概率
	std::vector<int> mHistoricalCharges;
};

class Fish_TelephoneBillDropCFG
{
public:
private:
	static std::auto_ptr<Fish_TelephoneBillDropCFG> msSingleton;
public:
	int GetCount();
	const Fish_TelephoneBillDropCFGData* GetData(int Id);
	boost::unordered_map<int, Fish_TelephoneBillDropCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_TelephoneBillDropCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_TelephoneBillDropCFGData> mMapData;
};
